Subject: 28.0.50; Crash in character.h due to assertion error

From: Stefan Kangas <[email-masked]>
Date: Mon, 25 May 2020 00:05:21 -0700

When editing an org-mode document, I saw a crash due to this assertion
error:

character.h:379: Emacs fatal error: assertion failed: 0xC0 <= c

The document contains utf-8 characters, but nothing more fancy than
basic Swedish characters (åäö) as far as I know.

I'm out of my depth when it comes to debugging this, but I do have the
gdb session still running if you need more information.

I'm using an Emacs recently built from master, see below for the exact
details.